Skip to main content

Create Lease: Rentvine

POSThttps://api.propexo.com/v1/leases/rentvine/
InterfaceMethod
LeasesPOST /api/manager/leases
Notice

This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    unit_idstringrequired

    The Propexo unique identifier for the unit

    employee_idstring

    The Propexo unique identifier for the employee

    scheduled_move_in_datestringrequired

    The move-in date associated with the lease

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    start_datestringrequired

    The start date associated with the lease

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    end_datestring

    The end date associated with the lease

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    rent_amount_in_centsintegerrequired

    The rent amount in cents for the lease

    Possible values: > 0

    nsf_fee_amount_in_centsintegerrequired

    The NSF fee amount in cents for the lease

    Possible values: > 0

    statusstringrequired

    The status associated with the lease

    Show 2 enum values
    PENDINGACTIVE
    associated_resident_idsstring[]required

    A list of Propexo Resident IDs associated with the lease. The resident must be a primary.

    Possible values: >= 1

    resident_charges object[]

    A list of move in charges for the lease

  • Array [
  • financial_account_idstringrequired

    The Propexo unique identifier for the financial account

    post_datestringrequired

    The post date for the resident charge

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    descriptionstringrequired

    Description of the resident charge

    amount_in_centsintegerrequired

    The amount of the resident charge, in cents

    Possible values: > 0

    is_proratedbooleanrequired

    Whether or not the resident charge is prorated

  • ]
  • recurring_resident_charges object[]

    A list of recurring charges for the lease

  • Array [
  • financial_account_idstringrequired

    The Propexo unique identifier for the financial account

    start_datestringrequired

    The start date associated with the recurring resident charge

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    end_datestring

    The end date associated with the recurring resident charge

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    descriptionstringrequired

    Description of the resident charge

    amount_in_centsintegerrequired

    The amount of the recurring resident charge, in cents

    Possible values: > 0

    charge_due_dayintegerrequired

    The day of the month the charge is due

    Possible values: > 0 and <= 31

    frequency_rawintegerrequired

    The raw value of the frequency of the recurring resident charge. This will be the frequency (in months) for Rentvine

    Possible values: > 0 and <= 12

  • ]
  • other_occupants object[]

    A list of other occupants for the lease

  • Array [
  • first_namestringrequired

    The first name associated with the occupant

    last_namestringrequired

    The last name associated with the occupant

    date_of_birthstring

    The date of birth associated with the occupant

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
  • ]

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    unit_idstringrequired

    The Propexo unique identifier for the unit

    employee_idstring | nullnullablerequired

    The Propexo unique identifier for the employee

    scheduled_move_in_datestring | nullnullablerequired
    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    start_datestring | nullnullablerequired
    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    end_datestring | nullnullablerequired

    The end date associated with the lease

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    rent_amount_in_centsintegerrequired

    The rent amount in cents for the lease

    Possible values: > 0

    nsf_fee_amount_in_centsintegerrequired

    The NSF fee amount in cents for the lease

    Possible values: > 0

    statusstringrequired

    The status associated with the lease

    Show 2 enum values
    PENDINGACTIVE
    associated_resident_idsstring[]required
    resident_charges object[]

    A list of move in charges for the lease

  • Array [
  • financial_account_idstringrequired

    The Propexo unique identifier for the financial account

    post_datestringrequired

    The post date for the resident charge

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    descriptionstringrequired

    Description of the resident charge

    amount_in_centsintegerrequired

    The amount of the resident charge, in cents

    Possible values: > 0

    is_proratedbooleanrequired

    Whether or not the resident charge is prorated

  • ]
  • recurring_resident_charges object[]

    A list of recurring charges for the lease

  • Array [
  • financial_account_idstringrequired

    The Propexo unique identifier for the financial account

    start_datestringrequired

    The start date associated with the recurring resident charge

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    end_datestring

    The end date associated with the recurring resident charge

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    descriptionstringrequired

    Description of the resident charge

    amount_in_centsintegerrequired

    The amount of the recurring resident charge, in cents

    Possible values: > 0

    charge_due_dayintegerrequired

    The day of the month the charge is due

    Possible values: > 0 and <= 31

    frequency_rawintegerrequired

    The raw value of the frequency of the recurring resident charge. This will be the frequency (in months) for Rentvine

    Possible values: > 0 and <= 12

  • ]
  • other_occupants object[]
  • Array [
  • first_namestringrequired

    The first name associated with the occupant

    last_namestringrequired

    The last name associated with the occupant

    date_of_birthstring

    The date of birth associated with the occupant

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/leases/rentvine/
curl -X POST https://api.propexo.com/v1/leases/rentvine/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"unit_id": "string",
"scheduled_move_in_date": "2024-07-29T15:51:28.071Z",
"start_date": "2024-07-29T15:51:28.071Z",
"rent_amount_in_cents": 0,
"nsf_fee_amount_in_cents": 0,
"status": "PENDING",
"associated_resident_ids": [
"string"
]
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"unit_id": "string",
"employee_id": "string",
"scheduled_move_in_date": "2024-07-29T15:51:28.071Z",
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z",
"rent_amount_in_cents": 0,
"nsf_fee_amount_in_cents": 0,
"status": "PENDING",
"associated_resident_ids": [
"string"
],
"resident_charges": [
{
"financial_account_id": "string",
"post_date": "2024-07-29T15:51:28.071Z",
"description": "string",
"amount_in_cents": 0,
"is_prorated": true
}
],
"recurring_resident_charges": [
{
"financial_account_id": "string",
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z",
"description": "string",
"amount_in_cents": 0,
"charge_due_day": 0,
"frequency_raw": 0
}
],
"other_occupants": []
}
}